curl --request PUT \
--url https://api.example.com/api/v2/projects/{project_id}/session-filters/{filter_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"filter_model": null,
"is_team_filter": false,
"created_at": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"filter_model": {},
"is_team_filter": true,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}Update an existing saved search.
curl --request PUT \
--url https://api.example.com/api/v2/projects/{project_id}/session-filters/{filter_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"filter_model": null,
"is_team_filter": false,
"created_at": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"filter_model": {},
"is_team_filter": true,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
SessionFilterReplicationInfo(id: uuid.UUID, name: str, filter_model: dict[str, shared.common.WebApiFilter], is_team_filter: bool, created_by: uuid.UUID, created_at: datetime.datetime)